# GeoSphere Deploy

This repository holds the various configuration files needed to deploy
GeoSphere data processing jobs on the GeoSphere Kubernetes cluster(s).
To accomplish this deployment a series of GitLab "triggers" are configured
so when sub-components in the https://gitlab.ssec.wisc.edu/cspp_geo/geosphere
GitLab group are updated, deployment is executed and operational processing
is upgraded.

This repository also contains "helper" CI configs for sub-component
repositories to use for building and testing their pieces.

## Repository Structure

* admin: Kubernetes resources that should be manually installed to define
  cluster resources available to the main geosphere application(s). These
  are **not** run as part of continuous integration.
* cichart: Docker image configuration used by certain CI jobs to build or
  download helm charts.
* ci_geosphere: Extra helm chart "values" YAML files to configure GeoSphere for
  the production environment.
* ci_geosphere-test: Extra helm chart "values" YAML files to configure GeoSphere for
  the development (geosphere-test) environment.
* sidecars: Docker image configurations for various "sidecar" containers that
  don't fit in one subcomponent's project.
* .gitlab-ci.yml: Continuous Integration (CI) configuration